﻿Type=Activity
Version=7.01
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private ACToolBarLight1 As ACToolBarLight
	Private ToolbarHelper As ACActionBar
	Private navbar_enabled As Boolean
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	initialize_navbar(True, True, Null,  "My title", "My subtitle")
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub initialize_navbar(enabled As Boolean, left_btn_enabled As Boolean, left_btn_icon As Bitmap, title As String, subtitle As String)
	Activity.LoadLayout("navbar")
	navbar_enabled = enabled
	
	If enabled Then
		ToolbarHelper.Initialize
		
		If left_btn_enabled Then
			ToolbarHelper.ShowUpIndicator = True
			ToolbarHelper.UpIndicatorDrawable = BitmapToBitmapDrawable(LoadBitmap(File.DirAssets, "hamburger.png"))
		End If
		
		ToolbarHelper.Title = title
		ToolbarHelper.Subtitle = subtitle
		
			
		ACToolBarLight1.InitMenuListener
		

		Dim jo As JavaObject = ACToolBarLight1
		Dim xl As XmlLayoutBuilder
		jo.RunMethod("setPopupTheme", Array(xl.GetResourceId("style", "ToolbarMenu")))
	End If
End Sub

'******** NAVBAR_RIGHT_BUTTONS
'Quitar el codigo java si no se desean los right_buttons
#If Java

public boolean _onCreateOptionsMenu(android.view.Menu menu) {
    if (processBA.subExists("activity_createmenu")) {
        processBA.raiseEvent2(null, true, "activity_createmenu", false, new de.amberhome.objects.appcompat.ACMenuWrapper(menu));
        return true;
    }
    else
        return false;
}
#End If
Sub Activity_CreateMenu(Menu As ACMenu)
	Menu.Clear
	Menu.Add(0, 0, "Overflow1", Null)
	Menu.Add(0, 0, "Overflow2", Null)
	Menu.Add(0, 0, "Overflow3", Null)
	Dim item As ACMenuItem = ACToolBarLight1.Menu.Add2(0, 0, "cart", Null)
	item.ShowAsAction = item.SHOW_AS_ACTION_ALWAYS
	'UpdateIcon("cart", AddBadgeToIcon(cartBitmap, badge))
End Sub


Sub BitmapToBitmapDrawable (bitmap As Bitmap) As BitmapDrawable
	Dim bd As BitmapDrawable
	bd.Initialize(bitmap)
	Return bd
End Sub
